<?php
if(!isset($Main))
{
$Main="http://".$_SERVER["SERVER_NAME"];
$Main=str_replace('www.','',$Main);
}
##########################################
function rebuild_htaccess()  //Перезапись .htaccess
{
// <Путь и чтение файла .htaccess>
$file_htaccess=H."/.htaccess"; // Путь по файловой системе к файлу .htaccess корневой директории сайта
$old_htaccess=file_get_contents($file_htaccess);
// </Путь и чтение файла .htaccess>
$lines_htaccess_repl='';
$lines_htaccess_repl.="<Limit GET POST> \r\n";
$lines_htaccess_repl.=" order allow,deny \r\n";

  $result=mysql_query("SELECT * FROM `protect_black_list_ip` WHERE `ban_time` > '$time' ORDER BY INET_ATON(ip)");
  #echo mysql_error()."<br />";
  $number=mysql_num_rows($result);

    for ($n=1; $n<=$number; $n++) 
    {
     $htaccess_ip=mysql_fetch_array($result);
     $lines_htaccess_repl.=" deny from ".$htaccess_ip['ip']."\r\n";
    }

  $lines_htaccess_repl.=" allow from all \r\n";
  $lines_htaccess_repl.="</Limit>";
  //
  $old_htaccess=preg_replace("'<Limit GET POST[^>]*?>.*?</Limit>'si","$lines_htaccess_repl",$old_htaccess);
  file_put_contents($file_htaccess, $old_htaccess);
  mysql_query("OPTIMIZE TABLE `protect_all_visits`, `protect_black_list_ip`");
}
# ########################################

// Голова
$_SESSION['title']="IP автопротект";
heads($headers_page, $set_ob_start);   //подключение шапки 
#
$protected_dir=H.'/#adm/#ipab/';
$inc_files=false; $rebuild=false;
if(isset($_GET['a']))
    {
      $l=htmlentities($_GET['a'],ENT_QUOTES,"UTF-8");
      //
      if(file_exists("$protected_dir".$l.".php") and is_file("$protected_dir".$l.".php"))
        {
        include_once "$protected_dir".$l.".php";
        $inc_files=true;
        }else{include_once "$protected_dir"."main.php";}
    //
    }else{include_once "$protected_dir"."main.php";}

############################################################################
echo "<div class='p_m'>"; 
if($inc_files){echo "<a href='?l=ipautoban'>вернуться</a><br />";}
echo "<a href='adm.php'> В админку</a><br />";
echo "</div>";
############################################################################
?>